> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capriole.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出模型

> 返回当前公开模型目录。

使用此端点获取当前公开模型目录。

模型目录会先列出提供商级别的 latest alias，再列出具体模型 ID。

* `openai-latest`
* `claude-latest`
* `google-latest`

如果希望 Capriole AI 为对应提供商选择当前推荐的旗舰模型，请使用 latest alias。如果需要固定到一个特定模型版本，请使用具体模型 ID。

| 模型选择                                            | 适用场景                             |
| ----------------------------------------------- | -------------------------------- |
| `openai-latest`、`claude-latest`、`google-latest` | 配置一次，让 Capriole AI 持续使用当前推荐的旗舰模型 |
| `openai/gpt-5.6-terra` 等具体模型 ID                 | 固定到一个特定模型版本                      |

在 `POST /v1/chat` 和 `POST /v1/chat/completions` 中，latest alias 按以下方式解析。

| Latest alias    | 解析结果                            |
| --------------- | ------------------------------- |
| `openai-latest` | `openai/gpt-5.6-terra`          |
| `claude-latest` | `anthropic/claude-fable-5`      |
| `google-latest` | `google/gemini-3.1-pro-preview` |

| 端点                               | 支持的 latest alias                                |
| -------------------------------- | ----------------------------------------------- |
| `POST /v1/chat`                  | `openai-latest`、`claude-latest`、`google-latest` |
| `POST /v1/chat/completions`      | `openai-latest`、`claude-latest`、`google-latest` |
| `POST /v1/responses`             | `openai-latest`                                 |
| `POST /v1/messages`              | `claude-latest`                                 |
| `POST /v1/messages/count_tokens` | `claude-latest`                                 |

Anthropic Messages 端点也接受 `claude-fable-5`、`claude-opus-5`、`claude-opus-4-8`、`claude-opus-4-7`、`claude-opus-4-6` 和 `claude-sonnet-4-6` 等不带提供商前缀的具体 Claude Messages 模型 ID。

在 `POST /v1/messages` 和 `POST /v1/messages/count_tokens` 中，`claude-latest` 会解析为 `claude-fable-5`，与 Chat 和 Chat Completions 的 latest alias 保持一致。

请使用上面列出的 alias ID，不要添加提供商前缀。`openai/openai-latest` 这样的写法属于客户端的提供商选择格式，不是 Capriole AI 模型 ID。


## OpenAPI

````yaml api-reference/openapi.json GET /v1/models
openapi: 3.1.0
info:
  title: Capriole AI API
  description: >-
    Public API for model discovery, text chat, and protocol-compatible model
    endpoints.
  version: 1.0.0
servers:
  - url: https://api.caprioletech.com
security: []
paths:
  /v1/models:
    get:
      summary: List public models
      description: Returns the current public model catalog.
      operationId: listModels
      responses:
        '200':
          description: Public model list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPublicModelsResponse'
              examples:
                default:
                  value:
                    data:
                      - id: openai-latest
                      - id: openai/gpt-5.6-terra
                      - id: openai/gpt-5.6-luna
                      - id: openai/gpt-5.5
                      - id: openai/gpt-5.4-mini
                      - id: claude-latest
                      - id: anthropic/claude-fable-5
                      - id: anthropic/claude-opus-5
                      - id: anthropic/claude-opus-4-8
                      - id: anthropic/claude-opus-4-7
                      - id: anthropic/claude-opus-4-6
                      - id: anthropic/claude-sonnet-4-6
                      - id: google-latest
                      - id: google/gemini-3.1-pro-preview
                      - id: google/gemini-3.5-flash
                      - id: xai/grok-4.5
                      - id: zai/glm-5.2
                      - id: moonshot/kimi-k3
        '429':
          $ref: '#/components/responses/RateLimitErrorResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  schemas:
    ListPublicModelsResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PublicModelItem'
    PublicModelItem:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          description: Model identifier
    DetailError:
      type: object
      required:
        - detail
      properties:
        detail:
          type: string
          description: Error detail from the API
  responses:
    RateLimitErrorResponse:
      description: Rate limit error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DetailError'
          examples:
            rateLimitExceeded:
              value:
                detail: 'Rate limit exceeded: 100 per 1 minute'
    InternalServerErrorResponse:
      description: Internal server error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DetailError'
          examples:
            internalServerError:
              value:
                detail: An internal server error occurred. Please try again later.

````